<template>
    <div>
        <!-- Navbar -->
        <Navbar :ruta="ruta"></Navbar>
        <!-- Main Sidebar Container -->
        <Sidebar :ruta="ruta" :usuario="usuario"></Sidebar>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper" ref="0501200">
            <transition name="slide-fade" mode="out-in">
                <router-view :usuario="usuario"></router-view> 
            </transition>
        </div>
        <!-- /.content-wrapper -->

        <!-- <Footer></Footer> -->

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.control-sidebar -->
    </div>
</template>

<script>
import Footer from './layouts/Footer';
import Navbar from './layouts/Navbar';
import Sidebar from './layouts/Sidebar';
export default {
    props: ['ruta', 'usuario'],
    components: { 
        Navbar,
        Sidebar,
        Footer
    }
}
</script>